summaryrefslogtreecommitdiffstats
path: root/system/Eterm/Eterm.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:39:31 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:39:31 +0200
commit9165eed14e6fc74f90e6aa16e9e3bef148b5b6c6 (patch)
tree844f05d620910c9d835ec65db7543c084062d6f9 /system/Eterm/Eterm.SlackBuild
parenteacec8eaa853d3425fc51ef09aa9441b49d91c0f (diff)
downloadslackbuilds-9165eed14e6fc74f90e6aa16e9e3bef148b5b6c6.tar.gz
slackbuilds-9165eed14e6fc74f90e6aa16e9e3bef148b5b6c6.tar.xz
system/Eterm: Updated for version 0.9.5
Diffstat (limited to 'system/Eterm/Eterm.SlackBuild')
-rw-r--r--system/Eterm/Eterm.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/system/Eterm/Eterm.SlackBuild b/system/Eterm/Eterm.SlackBuild
index 2abf10cf8b..362572d970 100644
--- a/system/Eterm/Eterm.SlackBuild
+++ b/system/Eterm/Eterm.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Eterm
-# Copyright 2008 Robby Workman Northport, Alabama (USA)
+# Copyright 2008-2009 Robby Workman Northport, Alabama (USA)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,6 +63,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -73,7 +77,8 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-greek \
--enable-name-reporting-escapes \
--with-pty-group=tty \
- --enable-static=no
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
@@ -82,8 +87,10 @@ make install DESTDIR=$PKG
( cd $PKG/usr/bin ; ln -s Eterm eterm )
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -99,4 +106,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}